<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ThirdCourseMapper">

    <resultMap type="thirdCourse" id="ThirdCourseMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="thirdId" column="third_id" jdbcType="INTEGER"/>
        <result property="courseId" column="course_id" jdbcType="INTEGER"/>
        <result property="status" column="status" jdbcType="INTEGER"/>
        <result property="createTime" column="create_time" jdbcType="INTEGER"/>
    </resultMap>
    
    <sql id = "Base_Column_List">
        id,
        third_id,
        course_id,
        `status`,
        create_time
    </sql>

    <select id="queryThreadCourse" resultType="com.hc.business.model.Course">
        SELECT c.*
        FROM third_course tc
        INNER JOIN course c ON c.course_id = tc.course_id
        WHERE tc.third_id = #{thirdId}
    </select>


</mapper>